// config.h
#ifndef FM_CONFIG_H
#define FM_CONFIG_H

#include <netinet/in.h>

#define MAX_MSN	8

typedef struct {
	char sMSN[16];
	char sName[32];
} msn_data;

typedef struct {
	struct in_addr ip;
	int nLogLevel;
	int nShowAll;
	int nShowMSN;
	int nUseOSD;
	int nISO;
	unsigned nStartDelay;
	unsigned nRetryDelay;
	int nRetry;
	char sPhoneBook[128];
	char sLogFile[128];
	msn_data msn[MAX_MSN];
} config_data;

int remove_comment(char *sLine, char **sEnd);
int read_config(const char *sCfgFile, config_data *data);

#endif
