// fritzmon.h
#ifndef FM_FRITZMON_H
#define FM_FRITZMON_H


#define FM_LOG_NONE	0	// log levels
#define FM_LOG_ERR	1
#define FM_LOG_WARN	2
#define FM_LOG_INFO	3
#define FM_LOG_DEBUG	4
#define FM_LOG_MASK	0x0F	// log level mask
#define FM_LOG_CON	0x10	// print log message to console
#define FM_LOG_SYSERR	0x20	// append system error string and number

// If defined, get PID of OSDshell and signal output here rather than using popup script
#define GET_OSD_PID

void log_msg(int nLevel, const char *sMsg, ...);

#endif
